%define anolis_release 1
Name:           libevdev
Version:        1.13.1
Release:        %{anolis_release}%{?dist}
Summary:        Kernel Evdev Device Wrapper Library

License:        MIT
URL:            http://www.freedesktop.org/wiki/Software/libevdev
Source0:        http://www.freedesktop.org/software/%{name}/%{name}-%{version}.tar.xz
Patch0:		libevdev-1.13.0-python3-interpreter.patch

BuildRequires:  meson >= 0.56.0

%description
%{name} is a library to wrap kernel evdev devices and provide a proper API
to interact with those devices.

%package devel
Summary:        Kernel Evdev Device Wrapper Library Development Package
Requires:       %{name} = %{version}-%{release}

%description devel
Kernel Evdev Device Wrapper Library Development Package.

%package utils
Summary:        Kernel Evdev Device Wrapper Library Utilities Package
Requires:       %{name} = %{version}-%{release}

%description utils
Utilities to handle and/or debug evdev devices.

%prep
%autosetup -p1

%build
%meson -Dtests=disabled -Ddocumentation=disabled -Dcoverity=false
%meson_build

%install
%meson_install

%generate_compatibility_deps

%files
%dir %{abidir}
%license COPYING
%{_libdir}/libevdev.so.*
%{abidir}/libevdev.dump

%files devel
%dir %{_includedir}/libevdev-1.0/
%dir %{_includedir}/libevdev-1.0/libevdev
%{_includedir}/libevdev-1.0/libevdev/libevdev.h
%{_includedir}/libevdev-1.0/libevdev/libevdev-uinput.h
%{_libdir}/libevdev.so
%{_libdir}/pkgconfig/libevdev.pc
%{_mandir}/man3/libevdev.3*

%files utils
%{_bindir}/touchpad-edge-detector
%{_bindir}/mouse-dpi-tool
%{_bindir}/libevdev-tweak-device
%{abidir}/libevdev-tweak-device-option.list
%{_mandir}/man1/libevdev-tweak-device.1*
%{_mandir}/man1/mouse-dpi-tool.1*
%{_mandir}/man1/touchpad-edge-detector.1*

%changelog
* Sat May 06 2023 Funda Wang <fundawang@yeah.net> - 1.13.1-1
- New version 1.13.1

* Mon Nov 21 2022 Funda Wang <fundawang@yeah.net> - 1.13.0-1
- New version 1.13.0

* Tue Oct 25 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.12.1-2
- optimise spec file

* Wed Apr 06 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.12.1-1
- Init from upstream version 1.12.1

